org.apache.maven.plugin.descriptor

## Class InvalidPluginDescriptorException

- java.lang.Object
- - PlexusConfigurationException
  - - org.apache.maven.plugin.descriptor.InvalidPluginDescriptorException

Direct Known Subclasses:
  DuplicateMojoDescriptorException, DuplicateParameterException, InvalidParameterException

    public class InvalidPluginDescriptorException
    extends PlexusConfigurationException

### Constructor Summary

Constructors
Constructor and Description
`InvalidPluginDescriptorException(java.lang.String message)`
`InvalidPluginDescriptorException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InvalidPluginDescriptorException

    public InvalidPluginDescriptorException(java.lang.String message,
                                    java.lang.Throwable cause)

#### InvalidPluginDescriptorException

    public InvalidPluginDescriptorException(java.lang.String message)